* Open the tables we'll need from the VFP sample data directory.

private llStopped	&& not LOCAL!!!
close databases all
use C:\VFP5\SAMPLES\DATA\ORDERS
use C:\VFP5\SAMPLES\DATA\ORDITEMS order ORDER_ID in 0

* Figure out how many records we'll process.

ldStart = {07/01/93}
ldEnd   = {03/31/94}
count for between(ORDER_DATE, ldStart, ldEnd) to lnRecords

* Create an SFThermometer object with the number of records as the maximum
* value.

do form PROGRESS name oProgress linked noshow
oProgress.oThermometer.SetTitle('Processing Orders...')
oProgress.oThermometer.SetMaximum(lnRecords)
oProgress.oThermometer.cCancelProperty = 'llStopped'
oProgress.Show()

* Calculate the total value of each order.

llStopped  = .F.
lnRecsDone = 0
go top
scan while not llStopped for between(ORDER_DATE, ldStart, ldEnd)
	MORDER = ORDER_ID
	select sum(QUANTITY * UNIT_PRICE) ;
		from ORDITEMS ;
		where ORDER_ID = MORDER ;
		into array TEMP

* Update the progress meter.

	lnRecsDone = lnRecsDone + 1
	oProgress.oThermometer.Update(lnRecsDone, 'Order #' + MORDER)
endscan while not llStopped ...
close databases all
