lparameters tcClass, ;
	tuParm1, ;
	tuParm2, ;
	tuParm3, ;
	tuParm4
local lcClass, ;
	lcLibrary, ;
	lnPos, ;
	loObject

* If the specified class to create includes the name of the VCX the class is
* in, parse that out and SET CLASSLIB to it if necessary.

lcClass   = tcClass
lcLibrary = ''
if ',' $ lcClass and left(lcClass, 1) <> ','
	lnPos     = at(',', lcClass)
	lcLibrary = alltrim(left(lcClass, lnPos - 1))
	lcClass   = alltrim(substr(lcClass, lnPos + 1))
	if lcLibrary $ set('CLASSLIB')
		lcLibrary = ''
	else
		set classlib to (lcLibrary) additive
	endif lcLibrary $ set('CLASSLIB')
endif ',' $ lcClass ...

* Create the object.

do case
	case pcount() = 1
		loObject = createobject(lcClass)
	case pcount() = 2
		loObject = createobject(lcClass, tuParm1)
	case pcount() = 3
		loObject = createobject(lcClass, tuParm1, tuParm2)
	case pcount() = 4
		loObject = createobject(lcClass, tuParm1, tuParm2, tuParm3)
	case pcount() = 5
		loObject = createobject(lcClass, tuParm1, tuParm2, tuParm3, tuParm4)
endcase

* Release the library if we opened it and return a reference to the object we
* created.

if not empty(lcLibrary)
	release classlib (lcLibrary)
endif not empty(lcLibrary)
return loObject
